@import "./tokyonight.css";

/* Global */
* {
    border: none;
    border-radius: 0;
    min-height: 0;
    margin: 1px;
    padding: 0;
}

@keyframes blink_red {
  to {
    background-color: @red;
    color: @base;
  }
}

.warning, .critical, .urgent {
  animation-name: blink_red;
  animation-duration: 1s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
  animation-direction: alternate;
}

#mode, #clock, #memory, #temperature, #cpu, #custom-weather,
#mpd, #idle_inhibitor, #backlight, #pulseaudio, #network, 
#battery, #custom-powermenu, #custom-cava-internal,
#custom-launcher, #tray, #disk, #custom-pacman, #custom-pomodoro, #custom-dexcom, #custom-notification{
  padding-left: .9rem;
  padding-right: .9rem;
}

/* Bar */
#waybar {
  font-family:  "FiraCode Nerd Font Mono";
  background-color: transparent;
}

window > box {
  background-color: @base;
  margin-bottom: 0;
  border-radius: 13px;
  padding-left: 10px;
}

/* Workspaces */
#workspaces:hover {
  /*background-color: @green;*/
}

#workspaces {
  font-size: 1.5rem;
}
#workspaces button {
  padding-right: .4rem;
  padding-left: .4rem;
  padding-top: 0;
  padding-bottom: 0;
  color: @blue;
  /* border: .2px solid transparent; */
  /*border-bottom: 3px solid  @blue;*/
  background: transparent;
}

#workspaces button.active {
  color: @red;
}

#workspaces button.focused {
  color: @yellow;
  /*border-bottom: 3px solid  @yellow;*/
  margin-bottom: 0px;
}

#workspaces button:hover {
  /* border: .2px solid transparent; */
  color: @subtext0;
}

#mode {
  color: @red;
}

#window {
  color: @text;
  margin-right: 1rem;
  margin-left: 1rem;
}

/* Tooltip */
tooltip {
  background-color: @base;
  border-width: 3px;
  border-style: solid;
  border-color: #7DCFFF;
}

tooltip label {
  color: @text;
}

/* battery */
#battery {
  color: @mauve;
}
#battery.full {
  color: @green;
}
#battery.charging{
  color: @teal;
}
#battery.discharging {
  color: @mauve;
}
#battery.critical:not(.charging) {
  color: @subtext0;
}
#custom-powermenu {
  color: @red;
  margin-right: 5px;
}

/* mpd */
#mpd.paused {
  color: @subtext0;
  font-style: italic;
}
#mpd.stopped {
  color: @red;
  /* background: transparent; */
}
#mpd {
  color: @mauve;
}

/* Extra */
#custom-notification{
  color: @yellow;
}
#custom-cava-internal{
  color: @mauve;
  padding-right: 1rem;
}
#custom-launcher {
  font-size: 16;
  color: @sky;
}
#memory {
  color: @maroon;
}
#cpu {
  color: @blue;
}
#clock {
  color: @text;
}
#idle_inhibitor {
  color: @green;
}
#temperature {
  color: @blue;
}
#backlight {
  color: @yellow;
}
#pulseaudio {
  color: @green;  /* not active */
}
#network {
  color: @lavender; /* not active */
}
#network.disconnected {
  color: @foreground;  /* not active */
}
#disk {
  color: @teal;
}
#custom-pacman{
  color: @mauve;
}
#custom-scratchpad-indicator {
  color: @yellow
}
#custom-weather {
  color: @red;
}
#custom-pomodoro {
  color: @blue;
}
